#include "awtk.h"
#include "base/assets_manager.h"
#ifndef WITH_FS_RES
#include "assets/default/inc/ui/comp_alarm_pkg.data"
#include "assets/default/inc/ui/comp_alarm_t.data"
#include "assets/default/inc/ui/comp_cali_16.data"
#include "assets/default/inc/ui/comp_cali_8.data"
#include "assets/default/inc/ui/comp_cali_table.data"
#include "assets/default/inc/ui/comp_can_cfg.data"
#include "assets/default/inc/ui/comp_ch_16.data"
#include "assets/default/inc/ui/comp_ch_8.data"
#include "assets/default/inc/ui/comp_com_cfg.data"
#include "assets/default/inc/ui/comp_device_info.data"
#include "assets/default/inc/ui/comp_dev_menu.data"
#include "assets/default/inc/ui/comp_dev_tips.data"
#include "assets/default/inc/ui/comp_group_view.data"
#include "assets/default/inc/ui/comp_net_cfg.data"
#include "assets/default/inc/ui/comp_new_group.data"
#include "assets/default/inc/ui/comp_runtime_log.data"
#include "assets/default/inc/ui/comp_search_info.data"
#include "assets/default/inc/ui/comp_select_dev.data"
#include "assets/default/inc/ui/comp_test_task_item.data"
#include "assets/default/inc/ui/dev_menu_ctx.data"
#include "assets/default/inc/ui/dialog_alarm.data"
#include "assets/default/inc/ui/dialog_batch_up.data"
#include "assets/default/inc/ui/dialog_calibration.data"
#include "assets/default/inc/ui/dialog_ch_color_select.data"
#include "assets/default/inc/ui/dialog_ch_color_setting.data"
#include "assets/default/inc/ui/dialog_comm_setting.data"
#include "assets/default/inc/ui/dialog_new_group.data"
#include "assets/default/inc/ui/dialog_progress.data"
#include "assets/default/inc/ui/dialog_search.data"
#include "assets/default/inc/ui/dialog_timed_test.data"
#include "assets/default/inc/ui/dialog_timed_test_create.data"
#include "assets/default/inc/ui/dialog_upgrade.data"
#include "assets/default/inc/ui/home_page.data"
#include "assets/default/inc/ui/loading.data"
#include "assets/default/inc/ui/popup_group_item.data"
#include "assets/default/inc/ui/warning.data"
#include "assets/default/inc/ui/zad_wave_view.data"
#include "assets/default/inc/styles/default.data"
#include "assets/default/inc/styles/home_page.data"
#include "assets/default/inc/styles/popup_group_item.data"
#ifdef WITH_STB_IMAGE
#include "assets/default/inc/images/arrow_down_d.res"
#include "assets/default/inc/images/arrow_down_f.res"
#include "assets/default/inc/images/arrow_down_n.res"
#include "assets/default/inc/images/arrow_down_o.res"
#include "assets/default/inc/images/arrow_down_p.res"
#include "assets/default/inc/images/arrow_left_d.res"
#include "assets/default/inc/images/arrow_left_f.res"
#include "assets/default/inc/images/arrow_left_n.res"
#include "assets/default/inc/images/arrow_left_o.res"
#include "assets/default/inc/images/arrow_left_p.res"
#include "assets/default/inc/images/arrow_right_d.res"
#include "assets/default/inc/images/arrow_right_f.res"
#include "assets/default/inc/images/arrow_right_n.res"
#include "assets/default/inc/images/arrow_right_o.res"
#include "assets/default/inc/images/arrow_right_p.res"
#include "assets/default/inc/images/arrow_up_d.res"
#include "assets/default/inc/images/arrow_up_f.res"
#include "assets/default/inc/images/arrow_up_n.res"
#include "assets/default/inc/images/arrow_up_o.res"
#include "assets/default/inc/images/arrow_up_p.res"
#include "assets/default/inc/images/Attribute_group_Collapse_d.res"
#include "assets/default/inc/images/Attribute_group_Collapse_n.res"
#include "assets/default/inc/images/Attribute_group_Collapse_o.res"
#include "assets/default/inc/images/Attribute_group_Collapse_p.res"
#include "assets/default/inc/images/Attribute_group_expansion_d.res"
#include "assets/default/inc/images/Attribute_group_expansion_n.res"
#include "assets/default/inc/images/Attribute_group_expansion_o.res"
#include "assets/default/inc/images/Attribute_group_expansion_p.res"
#include "assets/default/inc/images/bg1.res"
#include "assets/default/inc/images/bg11.res"
#include "assets/default/inc/images/box_d.res"
#include "assets/default/inc/images/box_n.res"
#include "assets/default/inc/images/box_o.res"
#include "assets/default/inc/images/box_p.res"
#include "assets/default/inc/images/box_unfold_d.res"
#include "assets/default/inc/images/box_unfold_n.res"
#include "assets/default/inc/images/box_unfold_o.res"
#include "assets/default/inc/images/box_unfold_p.res"
#include "assets/default/inc/images/but_left.res"
#include "assets/default/inc/images/but_left_d.res"
#include "assets/default/inc/images/but_left_n.res"
#include "assets/default/inc/images/but_left_o.res"
#include "assets/default/inc/images/but_left_p.res"
#include "assets/default/inc/images/but_right.res"
#include "assets/default/inc/images/but_right_d.res"
#include "assets/default/inc/images/but_right_n.res"
#include "assets/default/inc/images/but_right_o.res"
#include "assets/default/inc/images/but_right_p.res"
#include "assets/default/inc/images/ch10_n.res"
#include "assets/default/inc/images/ch10_n1.res"
#include "assets/default/inc/images/ch10_passage.res"
#include "assets/default/inc/images/ch10_passage1.res"
#include "assets/default/inc/images/ch10_s.res"
#include "assets/default/inc/images/ch10_s1.res"
#include "assets/default/inc/images/ch11_n.res"
#include "assets/default/inc/images/ch11_n1.res"
#include "assets/default/inc/images/ch11_passage.res"
#include "assets/default/inc/images/ch11_passage1.res"
#include "assets/default/inc/images/ch11_s.res"
#include "assets/default/inc/images/ch11_s1.res"
#include "assets/default/inc/images/ch12_n.res"
#include "assets/default/inc/images/ch12_n1.res"
#include "assets/default/inc/images/ch12_passage.res"
#include "assets/default/inc/images/ch12_passage1.res"
#include "assets/default/inc/images/ch12_s.res"
#include "assets/default/inc/images/ch12_s1.res"
#include "assets/default/inc/images/ch13_n.res"
#include "assets/default/inc/images/ch13_n1.res"
#include "assets/default/inc/images/ch13_passage.res"
#include "assets/default/inc/images/ch13_passage1.res"
#include "assets/default/inc/images/ch13_s.res"
#include "assets/default/inc/images/ch13_s1.res"
#include "assets/default/inc/images/ch14_n.res"
#include "assets/default/inc/images/ch14_n1.res"
#include "assets/default/inc/images/ch14_passage.res"
#include "assets/default/inc/images/ch14_passage1.res"
#include "assets/default/inc/images/ch14_s.res"
#include "assets/default/inc/images/ch14_s1.res"
#include "assets/default/inc/images/ch15_n.res"
#include "assets/default/inc/images/ch15_n1.res"
#include "assets/default/inc/images/ch15_passage.res"
#include "assets/default/inc/images/ch15_passage1.res"
#include "assets/default/inc/images/ch15_s.res"
#include "assets/default/inc/images/ch15_s1.res"
#include "assets/default/inc/images/ch16_n.res"
#include "assets/default/inc/images/ch16_n1.res"
#include "assets/default/inc/images/ch16_passage.res"
#include "assets/default/inc/images/ch16_passage1.res"
#include "assets/default/inc/images/ch16_s.res"
#include "assets/default/inc/images/ch16_s1.res"
#include "assets/default/inc/images/ch17_n.res"
#include "assets/default/inc/images/ch17_n1.res"
#include "assets/default/inc/images/ch17_passage.res"
#include "assets/default/inc/images/ch17_passage1.res"
#include "assets/default/inc/images/ch17_s.res"
#include "assets/default/inc/images/ch17_s1.res"
#include "assets/default/inc/images/ch18_n.res"
#include "assets/default/inc/images/ch18_n1.res"
#include "assets/default/inc/images/ch18_passage.res"
#include "assets/default/inc/images/ch18_passage1.res"
#include "assets/default/inc/images/ch18_s.res"
#include "assets/default/inc/images/ch18_s1.res"
#include "assets/default/inc/images/ch19_n.res"
#include "assets/default/inc/images/ch19_n1.res"
#include "assets/default/inc/images/ch19_passage.res"
#include "assets/default/inc/images/ch19_passage1.res"
#include "assets/default/inc/images/ch19_s.res"
#include "assets/default/inc/images/ch19_s1.res"
#include "assets/default/inc/images/ch1_n.res"
#include "assets/default/inc/images/ch1_n1.res"
#include "assets/default/inc/images/ch1_passage.res"
#include "assets/default/inc/images/ch1_passage1.res"
#include "assets/default/inc/images/ch1_s.res"
#include "assets/default/inc/images/ch1_s1.res"
#include "assets/default/inc/images/ch20_n.res"
#include "assets/default/inc/images/ch20_n1.res"
#include "assets/default/inc/images/ch20_passage.res"
#include "assets/default/inc/images/ch20_passage1.res"
#include "assets/default/inc/images/ch20_s.res"
#include "assets/default/inc/images/ch20_s1.res"
#include "assets/default/inc/images/ch21_n.res"
#include "assets/default/inc/images/ch21_n1.res"
#include "assets/default/inc/images/ch21_passage.res"
#include "assets/default/inc/images/ch21_passage1.res"
#include "assets/default/inc/images/ch21_s.res"
#include "assets/default/inc/images/ch21_s1.res"
#include "assets/default/inc/images/ch22_n.res"
#include "assets/default/inc/images/ch22_n1.res"
#include "assets/default/inc/images/ch22_passage.res"
#include "assets/default/inc/images/ch22_passage1.res"
#include "assets/default/inc/images/ch22_s.res"
#include "assets/default/inc/images/ch22_s1.res"
#include "assets/default/inc/images/ch23_n.res"
#include "assets/default/inc/images/ch23_n1.res"
#include "assets/default/inc/images/ch23_passage.res"
#include "assets/default/inc/images/ch23_passage1.res"
#include "assets/default/inc/images/ch23_s.res"
#include "assets/default/inc/images/ch23_s1.res"
#include "assets/default/inc/images/ch24_n.res"
#include "assets/default/inc/images/ch24_n1.res"
#include "assets/default/inc/images/ch24_passage.res"
#include "assets/default/inc/images/ch24_passage1.res"
#include "assets/default/inc/images/ch24_s.res"
#include "assets/default/inc/images/ch24_s1.res"
#include "assets/default/inc/images/ch25_n.res"
#include "assets/default/inc/images/ch25_n1.res"
#include "assets/default/inc/images/ch25_passage.res"
#include "assets/default/inc/images/ch25_passage1.res"
#include "assets/default/inc/images/ch25_s.res"
#include "assets/default/inc/images/ch25_s1.res"
#include "assets/default/inc/images/ch26_n.res"
#include "assets/default/inc/images/ch26_n1.res"
#include "assets/default/inc/images/ch26_passage.res"
#include "assets/default/inc/images/ch26_passage1.res"
#include "assets/default/inc/images/ch26_s.res"
#include "assets/default/inc/images/ch26_s1.res"
#include "assets/default/inc/images/ch27_n.res"
#include "assets/default/inc/images/ch27_n1.res"
#include "assets/default/inc/images/ch27_passage.res"
#include "assets/default/inc/images/ch27_passage1.res"
#include "assets/default/inc/images/ch27_s.res"
#include "assets/default/inc/images/ch27_s1.res"
#include "assets/default/inc/images/ch28_n.res"
#include "assets/default/inc/images/ch28_n1.res"
#include "assets/default/inc/images/ch28_passage.res"
#include "assets/default/inc/images/ch28_passage1.res"
#include "assets/default/inc/images/ch28_s.res"
#include "assets/default/inc/images/ch28_s1.res"
#include "assets/default/inc/images/ch29_n.res"
#include "assets/default/inc/images/ch29_n1.res"
#include "assets/default/inc/images/ch29_passage.res"
#include "assets/default/inc/images/ch29_passage1.res"
#include "assets/default/inc/images/ch29_s.res"
#include "assets/default/inc/images/ch29_s1.res"
#include "assets/default/inc/images/ch2_n.res"
#include "assets/default/inc/images/ch2_n1.res"
#include "assets/default/inc/images/ch2_passage.res"
#include "assets/default/inc/images/ch2_passage1.res"
#include "assets/default/inc/images/ch2_s.res"
#include "assets/default/inc/images/ch2_s1.res"
#include "assets/default/inc/images/ch30_n.res"
#include "assets/default/inc/images/ch30_n1.res"
#include "assets/default/inc/images/ch30_passage.res"
#include "assets/default/inc/images/ch30_passage1.res"
#include "assets/default/inc/images/ch30_s.res"
#include "assets/default/inc/images/ch30_s1.res"
#include "assets/default/inc/images/ch31_n.res"
#include "assets/default/inc/images/ch31_n1.res"
#include "assets/default/inc/images/ch31_passage.res"
#include "assets/default/inc/images/ch31_passage1.res"
#include "assets/default/inc/images/ch31_s.res"
#include "assets/default/inc/images/ch31_s1.res"
#include "assets/default/inc/images/ch32_n.res"
#include "assets/default/inc/images/ch32_n1.res"
#include "assets/default/inc/images/ch32_passage.res"
#include "assets/default/inc/images/ch32_passage1.res"
#include "assets/default/inc/images/ch32_s.res"
#include "assets/default/inc/images/ch32_s1.res"
#include "assets/default/inc/images/ch3_n.res"
#include "assets/default/inc/images/ch3_n1.res"
#include "assets/default/inc/images/ch3_passage.res"
#include "assets/default/inc/images/ch3_passage1.res"
#include "assets/default/inc/images/ch3_s.res"
#include "assets/default/inc/images/ch3_s1.res"
#include "assets/default/inc/images/ch4_n.res"
#include "assets/default/inc/images/ch4_n1.res"
#include "assets/default/inc/images/ch4_passage.res"
#include "assets/default/inc/images/ch4_passage1.res"
#include "assets/default/inc/images/ch4_s.res"
#include "assets/default/inc/images/ch4_s1.res"
#include "assets/default/inc/images/ch5_n.res"
#include "assets/default/inc/images/ch5_n1.res"
#include "assets/default/inc/images/ch5_passage.res"
#include "assets/default/inc/images/ch5_passage1.res"
#include "assets/default/inc/images/ch5_s.res"
#include "assets/default/inc/images/ch5_s1.res"
#include "assets/default/inc/images/ch6_n.res"
#include "assets/default/inc/images/ch6_n1.res"
#include "assets/default/inc/images/ch6_passage.res"
#include "assets/default/inc/images/ch6_passage1.res"
#include "assets/default/inc/images/ch6_s.res"
#include "assets/default/inc/images/ch6_s1.res"
#include "assets/default/inc/images/ch7_n.res"
#include "assets/default/inc/images/ch7_n1.res"
#include "assets/default/inc/images/ch7_passage.res"
#include "assets/default/inc/images/ch7_passage1.res"
#include "assets/default/inc/images/ch7_s.res"
#include "assets/default/inc/images/ch7_s1.res"
#include "assets/default/inc/images/ch8_n.res"
#include "assets/default/inc/images/ch8_n1.res"
#include "assets/default/inc/images/ch8_passage.res"
#include "assets/default/inc/images/ch8_passage1.res"
#include "assets/default/inc/images/ch8_s.res"
#include "assets/default/inc/images/ch8_s1.res"
#include "assets/default/inc/images/ch9_n.res"
#include "assets/default/inc/images/ch9_n1.res"
#include "assets/default/inc/images/ch9_passage.res"
#include "assets/default/inc/images/ch9_passage1.res"
#include "assets/default/inc/images/ch9_s.res"
#include "assets/default/inc/images/ch9_s1.res"
#include "assets/default/inc/images/check_checked_d.res"
#include "assets/default/inc/images/check_checked_f.res"
#include "assets/default/inc/images/check_checked_n.res"
#include "assets/default/inc/images/check_checked_o.res"
#include "assets/default/inc/images/check_checked_p.res"
#include "assets/default/inc/images/check_d.res"
#include "assets/default/inc/images/check_f.res"
#include "assets/default/inc/images/check_n.res"
#include "assets/default/inc/images/check_o.res"
#include "assets/default/inc/images/check_p.res"
#include "assets/default/inc/images/clock_bg.res"
#include "assets/default/inc/images/clock_hour.res"
#include "assets/default/inc/images/clock_minute.res"
#include "assets/default/inc/images/clock_second.res"
#include "assets/default/inc/images/color_select.res"
#include "assets/default/inc/images/copy_o.res"
#include "assets/default/inc/images/copy_p.res"
#include "assets/default/inc/images/cross.res"
#include "assets/default/inc/images/debug.res"
#include "assets/default/inc/images/default_icon.res"
#include "assets/default/inc/images/Device_status_alarm_d.res"
#include "assets/default/inc/images/Device_status_alarm_n.res"
#include "assets/default/inc/images/Device_status_bluetooth_d.res"
#include "assets/default/inc/images/Device_status_bluetooth_n.res"
#include "assets/default/inc/images/Device_status_bluetooth_s.res"
#include "assets/default/inc/images/Device_status_can_d.res"
#include "assets/default/inc/images/Device_status_can_n.res"
#include "assets/default/inc/images/Device_status_Serial_port_d.res"
#include "assets/default/inc/images/Device_status_Serial_port_n.res"
#include "assets/default/inc/images/Device_status_Serial_port_s.res"
#include "assets/default/inc/images/Device_status_store_d.res"
#include "assets/default/inc/images/Device_status_store_n.res"
#include "assets/default/inc/images/Device_status_store_s.res"
#include "assets/default/inc/images/Device_status_wifi_d.res"
#include "assets/default/inc/images/Device_status_wifi_n.res"
#include "assets/default/inc/images/Device_status_wifi_s.res"
#include "assets/default/inc/images/dev_menu_bg.res"
#include "assets/default/inc/images/drag.res"
#include "assets/default/inc/images/drop_down_box_pack_up_d.res"
#include "assets/default/inc/images/drop_down_box_pack_up_n.res"
#include "assets/default/inc/images/drop_down_box_pack_up_o.res"
#include "assets/default/inc/images/drop_down_box_pack_up_p.res"
#include "assets/default/inc/images/drop_down_box_unfold_d.res"
#include "assets/default/inc/images/drop_down_box_unfold_n.res"
#include "assets/default/inc/images/drop_down_box_unfold_o.res"
#include "assets/default/inc/images/drop_down_box_unfold_p.res"
#include "assets/default/inc/images/Flow_icon.res"
#include "assets/default/inc/images/fresh_16.res"
#include "assets/default/inc/images/fresh_32.res"
#include "assets/default/inc/images/guage_bg.res"
#include "assets/default/inc/images/guage_pointer.res"
#include "assets/default/inc/images/hide_pwd.res"
#include "assets/default/inc/images/input_box_browse_d.res"
#include "assets/default/inc/images/input_box_browse_n.res"
#include "assets/default/inc/images/input_box_browse_o.res"
#include "assets/default/inc/images/input_box_browse_p.res"
#include "assets/default/inc/images/input_box_close_n.res"
#include "assets/default/inc/images/input_box_close_o.res"
#include "assets/default/inc/images/input_box_close_p.res"
#include "assets/default/inc/images/input_box_hide_d.res"
#include "assets/default/inc/images/input_box_hide_n.res"
#include "assets/default/inc/images/input_box_hide_o.res"
#include "assets/default/inc/images/input_box_hide_p.res"
#include "assets/default/inc/images/input_box_Number_add2_d.res"
#include "assets/default/inc/images/input_box_Number_add2_n.res"
#include "assets/default/inc/images/input_box_Number_add2_o.res"
#include "assets/default/inc/images/input_box_Number_add2_p.res"
#include "assets/default/inc/images/input_box_Number_add_d.res"
#include "assets/default/inc/images/input_box_Number_add_n.res"
#include "assets/default/inc/images/input_box_Number_add_o.res"
#include "assets/default/inc/images/input_box_Number_add_p.res"
#include "assets/default/inc/images/input_box_Number_Less2_d.res"
#include "assets/default/inc/images/input_box_Number_Less2_n.res"
#include "assets/default/inc/images/input_box_Number_Less2_o.res"
#include "assets/default/inc/images/input_box_Number_Less2_p.res"
#include "assets/default/inc/images/input_box_Number_Less_d.res"
#include "assets/default/inc/images/input_box_Number_Less_n.res"
#include "assets/default/inc/images/input_box_Number_Less_o.res"
#include "assets/default/inc/images/input_box_Number_Less_p.res"
#include "assets/default/inc/images/input_box_path_d.res"
#include "assets/default/inc/images/input_box_path_n.res"
#include "assets/default/inc/images/input_box_path_o.res"
#include "assets/default/inc/images/input_box_path_p.res"
#include "assets/default/inc/images/input_box_search_d.res"
#include "assets/default/inc/images/input_box_search_n.res"
#include "assets/default/inc/images/input_box_search_o.res"
#include "assets/default/inc/images/input_box_search_p.res"
#include "assets/default/inc/images/list_add_d.res"
#include "assets/default/inc/images/list_add_n.res"
#include "assets/default/inc/images/list_add_o.res"
#include "assets/default/inc/images/list_add_p.res"
#include "assets/default/inc/images/list_close_n.res"
#include "assets/default/inc/images/list_close_o.res"
#include "assets/default/inc/images/list_close_p.res"
#include "assets/default/inc/images/list_del_d.res"
#include "assets/default/inc/images/list_del_n.res"
#include "assets/default/inc/images/list_del_o.res"
#include "assets/default/inc/images/list_del_p.res"
#include "assets/default/inc/images/loading.res"
#include "assets/default/inc/images/loading_bg.res"
#include "assets/default/inc/images/loading_F5F5F5_.res"
#include "assets/default/inc/images/loading_ffffff_.res"
#include "assets/default/inc/images/magnify.res"
#include "assets/default/inc/images/magnify_p.res"
#include "assets/default/inc/images/Menu_language_n.res"
#include "assets/default/inc/images/Menu_language_o.res"
#include "assets/default/inc/images/Menu_language_p.res"
#include "assets/default/inc/images/Menu_pack_up_n.res"
#include "assets/default/inc/images/Menu_pack_up_o.res"
#include "assets/default/inc/images/Menu_pack_up_p.res"
#include "assets/default/inc/images/Menu_unfold_n.res"
#include "assets/default/inc/images/Menu_unfold_o.res"
#include "assets/default/inc/images/Menu_unfold_p.res"
#include "assets/default/inc/images/Not_yet_started.res"
#include "assets/default/inc/images/num0.res"
#include "assets/default/inc/images/num1.res"
#include "assets/default/inc/images/num2.res"
#include "assets/default/inc/images/num3.res"
#include "assets/default/inc/images/num4.res"
#include "assets/default/inc/images/num5.res"
#include "assets/default/inc/images/num6.res"
#include "assets/default/inc/images/num7.res"
#include "assets/default/inc/images/num8.res"
#include "assets/default/inc/images/num9.res"
#include "assets/default/inc/images/numdot.res"
#include "assets/default/inc/images/radio_checked_d.res"
#include "assets/default/inc/images/radio_checked_f.res"
#include "assets/default/inc/images/radio_checked_n.res"
#include "assets/default/inc/images/radio_checked_o.res"
#include "assets/default/inc/images/radio_checked_p.res"
#include "assets/default/inc/images/radio_d.res"
#include "assets/default/inc/images/radio_f.res"
#include "assets/default/inc/images/radio_n.res"
#include "assets/default/inc/images/radio_o.res"
#include "assets/default/inc/images/radio_p.res"
#include "assets/default/inc/images/refresh_d.res"
#include "assets/default/inc/images/refresh_n.res"
#include "assets/default/inc/images/refresh_o.res"
#include "assets/default/inc/images/refresh_p.res"
#include "assets/default/inc/images/restore.res"
#include "assets/default/inc/images/restore_p.res"
#include "assets/default/inc/images/right_click_check_d.res"
#include "assets/default/inc/images/right_click_check_n.res"
#include "assets/default/inc/images/right_click_check_n2.res"
#include "assets/default/inc/images/right_click_check_s.res"
#include "assets/default/inc/images/right_click_del_d.res"
#include "assets/default/inc/images/right_click_del_n.res"
#include "assets/default/inc/images/right_click_del_n_Serial_port_d.res"
#include "assets/default/inc/images/right_click_del_n_Serial_port_n.res"
#include "assets/default/inc/images/right_click_del_n_Serial_port_o.res"
#include "assets/default/inc/images/right_click_del_o.res"
#include "assets/default/inc/images/right_click_del_s.res"
#include "assets/default/inc/images/right_click_del_s1.res"
#include "assets/default/inc/images/right_click_more_d.res"
#include "assets/default/inc/images/right_click_more_n.res"
#include "assets/default/inc/images/right_click_more_s.res"
#include "assets/default/inc/images/right_click_move_d.res"
#include "assets/default/inc/images/right_click_move_n.res"
#include "assets/default/inc/images/right_click_move_o.res"
#include "assets/default/inc/images/right_click_move_s.res"
#include "assets/default/inc/images/right_click_net_interface_d.res"
#include "assets/default/inc/images/right_click_net_interface_n.res"
#include "assets/default/inc/images/right_click_net_interface_o.res"
#include "assets/default/inc/images/right_click_warn_d.res"
#include "assets/default/inc/images/right_click_warn_n.res"
#include "assets/default/inc/images/right_click_warn_o.res"
#include "assets/default/inc/images/rounded_n.res"
#include "assets/default/inc/images/rounded_o.res"
#include "assets/default/inc/images/rounded_p.res"
#include "assets/default/inc/images/Scheduled_task.res"
#include "assets/default/inc/images/search_dev.res"
#include "assets/default/inc/images/search_dev_ui.res"
#include "assets/default/inc/images/select.res"
#include "assets/default/inc/images/show_pwd.res"
#include "assets/default/inc/images/shrink.res"
#include "assets/default/inc/images/shrink_p.res"
#include "assets/default/inc/images/sidebar_Extend_d.res"
#include "assets/default/inc/images/sidebar_Extend_n.res"
#include "assets/default/inc/images/sidebar_Extend_o.res"
#include "assets/default/inc/images/sidebar_Extend_p.res"
#include "assets/default/inc/images/sidebar_search_d.res"
#include "assets/default/inc/images/sidebar_search_n.res"
#include "assets/default/inc/images/sidebar_search_o.res"
#include "assets/default/inc/images/sidebar_search_p.res"
#include "assets/default/inc/images/sidebar_Stow_d.res"
#include "assets/default/inc/images/sidebar_Stow_n.res"
#include "assets/default/inc/images/sidebar_Stow_o.res"
#include "assets/default/inc/images/sidebar_Stow_p.res"
#include "assets/default/inc/images/slider_bg.res"
#include "assets/default/inc/images/slider_fg.res"
#include "assets/default/inc/images/succeed.res"
#include "assets/default/inc/images/tab_calibrate_n.res"
#include "assets/default/inc/images/tab_calibrate_s.res"
#include "assets/default/inc/images/tab_icon01_d.res"
#include "assets/default/inc/images/tab_icon01_n.res"
#include "assets/default/inc/images/tab_icon01_s.res"
#include "assets/default/inc/images/tab_icon02_d.res"
#include "assets/default/inc/images/tab_icon02_n.res"
#include "assets/default/inc/images/tab_icon02_s.res"
#include "assets/default/inc/images/tab_icon03_n.res"
#include "assets/default/inc/images/tab_icon03_s.res"
#include "assets/default/inc/images/tab_icon04_n.res"
#include "assets/default/inc/images/tab_icon04_s.res"
#include "assets/default/inc/images/tab_icon05_n.res"
#include "assets/default/inc/images/tab_icon05_s.res"
#include "assets/default/inc/images/tab_icon06_n.res"
#include "assets/default/inc/images/tab_icon06_s.res"
#include "assets/default/inc/images/tab_icon07_n.res"
#include "assets/default/inc/images/tab_icon07_s.res"
#include "assets/default/inc/images/tab_icon08_n.res"
#include "assets/default/inc/images/tab_icon08_s.res"
#include "assets/default/inc/images/tab_icon09_n.res"
#include "assets/default/inc/images/tab_icon09_s.res"
#include "assets/default/inc/images/tab_icon10_n.res"
#include "assets/default/inc/images/tab_icon10_s.res"
#include "assets/default/inc/images/tab_icon11_n.res"
#include "assets/default/inc/images/tab_icon11_s.res"
#include "assets/default/inc/images/tab_icon12_n.res"
#include "assets/default/inc/images/tab_icon12_s.res"
#include "assets/default/inc/images/tab_timing_n.res"
#include "assets/default/inc/images/tab_timing_s.res"
#include "assets/default/inc/images/tab_warn_d.res"
#include "assets/default/inc/images/tab_warn_n.res"
#include "assets/default/inc/images/tab_warn_s.res"
#include "assets/default/inc/images/test.res"
#include "assets/default/inc/images/text_cn_temp.res"
#include "assets/default/inc/images/tool_Added_waveform_24_d.res"
#include "assets/default/inc/images/tool_Added_waveform_24_n.res"
#include "assets/default/inc/images/tool_Added_waveform_24_o.res"
#include "assets/default/inc/images/tool_add_16_d.res"
#include "assets/default/inc/images/tool_add_16_n.res"
#include "assets/default/inc/images/tool_add_16_o.res"
#include "assets/default/inc/images/tool_add_16_p.res"
#include "assets/default/inc/images/tool_add_device_32_d.res"
#include "assets/default/inc/images/tool_add_device_32_n.res"
#include "assets/default/inc/images/tool_alarm_information_32_d.res"
#include "assets/default/inc/images/tool_alarm_information_32_n.res"
#include "assets/default/inc/images/tool_alarm_setting_32_d.res"
#include "assets/default/inc/images/tool_alarm_setting_32_n.res"
#include "assets/default/inc/images/tool_as_regards_32_d.res"
#include "assets/default/inc/images/tool_as_regards_32_n.res"
#include "assets/default/inc/images/tool_batch_upgrade_32_d.res"
#include "assets/default/inc/images/tool_batch_upgrade_32_n.res"
#include "assets/default/inc/images/tool_calibration_setting_32_d.res"
#include "assets/default/inc/images/tool_calibration_setting_32_n.res"
#include "assets/default/inc/images/tool_Channel_setup_24_d.res"
#include "assets/default/inc/images/tool_Channel_setup_24_n.res"
#include "assets/default/inc/images/tool_Channel_setup_24_o.res"
#include "assets/default/inc/images/tool_company_homepage_32_d.res"
#include "assets/default/inc/images/tool_company_homepage_32_n.res"
#include "assets/default/inc/images/tool_data_analysis_32_d.res"
#include "assets/default/inc/images/tool_data_analysis_32_n.res"
#include "assets/default/inc/images/tool_data_screening_32_d.res"
#include "assets/default/inc/images/tool_data_screening_32_n.res"
#include "assets/default/inc/images/tool_device_information_32_d.res"
#include "assets/default/inc/images/tool_device_information_32_n.res"
#include "assets/default/inc/images/tool_edit_16_d.res"
#include "assets/default/inc/images/tool_edit_16_n.res"
#include "assets/default/inc/images/tool_edit_16_o.res"
#include "assets/default/inc/images/tool_edit_16_p.res"
#include "assets/default/inc/images/tool_equipment_calibration_32_d.res"
#include "assets/default/inc/images/tool_equipment_calibration_32_n.res"
#include "assets/default/inc/images/tool_equipment_configuration_32_d.res"
#include "assets/default/inc/images/tool_equipment_configuration_32_n.res"
#include "assets/default/inc/images/tool_firmware_upgrade_32_d.res"
#include "assets/default/inc/images/tool_firmware_upgrade_32_n.res"
#include "assets/default/inc/images/tool_generate_report_32_d.res"
#include "assets/default/inc/images/tool_generate_report_32_n.res"
#include "assets/default/inc/images/tool_Import_24_d.res"
#include "assets/default/inc/images/tool_Import_24_n.res"
#include "assets/default/inc/images/tool_Import_24_o.res"
#include "assets/default/inc/images/tool_packet_loss_test_32_d.res"
#include "assets/default/inc/images/tool_packet_loss_test_32_n.res"
#include "assets/default/inc/images/tool_permission_statement_32_d.res"
#include "assets/default/inc/images/tool_permission_statement_32_n.res"
#include "assets/default/inc/images/tool_screen_16_d.res"
#include "assets/default/inc/images/tool_screen_16_n.res"
#include "assets/default/inc/images/tool_screen_16_o.res"
#include "assets/default/inc/images/tool_screen_16_p.res"
#include "assets/default/inc/images/tool_search_device_32_d.res"
#include "assets/default/inc/images/tool_search_device_32_n.res"
#include "assets/default/inc/images/tool_start_collection_32_d.res"
#include "assets/default/inc/images/tool_start_collection_32_n.res"
#include "assets/default/inc/images/tool_status_refresh_32_d.res"
#include "assets/default/inc/images/tool_status_refresh_32_n.res"
#include "assets/default/inc/images/tool_stop_collection_32_d.res"
#include "assets/default/inc/images/tool_stop_collection_32_n.res"
#include "assets/default/inc/images/tool_timing_test_32_d.res"
#include "assets/default/inc/images/tool_timing_test_32_n.res"
#include "assets/default/inc/images/tool_user_manual_32_d.res"
#include "assets/default/inc/images/tool_user_manual_32_n.res"
#include "assets/default/inc/images/tool_Waveform_horizontal_reduction_24_d.res"
#include "assets/default/inc/images/tool_Waveform_horizontal_reduction_24_n.res"
#include "assets/default/inc/images/tool_Waveform_horizontal_reduction_24_o.res"
#include "assets/default/inc/images/tool_Waveform_horizontal_zoom_24_d.res"
#include "assets/default/inc/images/tool_Waveform_horizontal_zoom_24_n.res"
#include "assets/default/inc/images/tool_Waveform_horizontal_zoom_24_o.res"
#include "assets/default/inc/images/tool_Waveform_vertical_reduction_24_d.res"
#include "assets/default/inc/images/tool_Waveform_vertical_reduction_24_n.res"
#include "assets/default/inc/images/tool_Waveform_vertical_reduction_24_o.res"
#include "assets/default/inc/images/tool_Waveform_vertical_zoom_24_d.res"
#include "assets/default/inc/images/tool_Waveform_vertical_zoom_24_n.res"
#include "assets/default/inc/images/tool_Waveform_vertical_zoom_24_o.res"
#include "assets/default/inc/images/Under_way.res"
#include "assets/default/inc/images/wifi_bg.res"
#include "assets/default/inc/images/window_close_n.res"
#include "assets/default/inc/images/window_close_o.res"
#include "assets/default/inc/images/window_full_screen_d.res"
#include "assets/default/inc/images/window_full_screen_n.res"
#include "assets/default/inc/images/window_full_screen_o.res"
#include "assets/default/inc/images/window_maximum_n.res"
#include "assets/default/inc/images/window_maximum_o.res"
#include "assets/default/inc/images/window_minimize_n.res"
#include "assets/default/inc/images/window_minimize_o.res"
#include "assets/default/inc/images/window_reduction_n.res"
#include "assets/default/inc/images/window_reduction_o.res"
#include "assets/default/inc/images/ZAD_2018.res"
#include "assets/default/inc/images/zlg_logo.res"
#include "assets/default/inc/images/_.res"
#include "assets/default/inc/images/_1.res"
#include "assets/default/inc/images/__o.res"
#else
#endif /*WITH_STB_IMAGE*/
#ifdef WITH_VGCANVAS
#endif /*WITH_VGCANVAS*/
#ifdef WITH_TRUETYPE_FONT
#include "assets/default/inc/fonts/default.res"
#include "assets/default/inc/fonts/HarmonyOS_Sans_SC_Regular.res"
#else /*WITH_TRUETYPE_FONT*/
#endif /*WITH_TRUETYPE_FONT*/
#endif /*WITH_FS_RES*/

ret_t assets_init(void) {
  assets_manager_t* am = assets_manager();
  assets_manager_set_theme(am, "default");

#ifdef WITH_FS_RES
  assets_manager_preload(am, ASSET_TYPE_STYLE, "default");
#else
  assets_manager_add(am, ui_comp_alarm_pkg);
  assets_manager_add(am, ui_comp_alarm_t);
  assets_manager_add(am, ui_comp_cali_16);
  assets_manager_add(am, ui_comp_cali_8);
  assets_manager_add(am, ui_comp_cali_table);
  assets_manager_add(am, ui_comp_can_cfg);
  assets_manager_add(am, ui_comp_ch_16);
  assets_manager_add(am, ui_comp_ch_8);
  assets_manager_add(am, ui_comp_com_cfg);
  assets_manager_add(am, ui_comp_device_info);
  assets_manager_add(am, ui_comp_dev_menu);
  assets_manager_add(am, ui_comp_dev_tips);
  assets_manager_add(am, ui_comp_group_view);
  assets_manager_add(am, ui_comp_net_cfg);
  assets_manager_add(am, ui_comp_new_group);
  assets_manager_add(am, ui_comp_runtime_log);
  assets_manager_add(am, ui_comp_search_info);
  assets_manager_add(am, ui_comp_select_dev);
  assets_manager_add(am, ui_comp_test_task_item);
  assets_manager_add(am, ui_dev_menu_ctx);
  assets_manager_add(am, ui_dialog_alarm);
  assets_manager_add(am, ui_dialog_batch_up);
  assets_manager_add(am, ui_dialog_calibration);
  assets_manager_add(am, ui_dialog_ch_color_select);
  assets_manager_add(am, ui_dialog_ch_color_setting);
  assets_manager_add(am, ui_dialog_comm_setting);
  assets_manager_add(am, ui_dialog_new_group);
  assets_manager_add(am, ui_dialog_progress);
  assets_manager_add(am, ui_dialog_search);
  assets_manager_add(am, ui_dialog_timed_test);
  assets_manager_add(am, ui_dialog_timed_test_create);
  assets_manager_add(am, ui_dialog_upgrade);
  assets_manager_add(am, ui_home_page);
  assets_manager_add(am, ui_loading);
  assets_manager_add(am, ui_popup_group_item);
  assets_manager_add(am, ui_warning);
  assets_manager_add(am, ui_zad_wave_view);
  assets_manager_add(am, style_default);
  assets_manager_add(am, style_home_page);
  assets_manager_add(am, style_popup_group_item);
  assets_manager_add(am, image_arrow_down_d);
  assets_manager_add(am, image_arrow_down_f);
  assets_manager_add(am, image_arrow_down_n);
  assets_manager_add(am, image_arrow_down_o);
  assets_manager_add(am, image_arrow_down_p);
  assets_manager_add(am, image_arrow_left_d);
  assets_manager_add(am, image_arrow_left_f);
  assets_manager_add(am, image_arrow_left_n);
  assets_manager_add(am, image_arrow_left_o);
  assets_manager_add(am, image_arrow_left_p);
  assets_manager_add(am, image_arrow_right_d);
  assets_manager_add(am, image_arrow_right_f);
  assets_manager_add(am, image_arrow_right_n);
  assets_manager_add(am, image_arrow_right_o);
  assets_manager_add(am, image_arrow_right_p);
  assets_manager_add(am, image_arrow_up_d);
  assets_manager_add(am, image_arrow_up_f);
  assets_manager_add(am, image_arrow_up_n);
  assets_manager_add(am, image_arrow_up_o);
  assets_manager_add(am, image_arrow_up_p);
  assets_manager_add(am, image_Attribute_group_Collapse_d);
  assets_manager_add(am, image_Attribute_group_Collapse_n);
  assets_manager_add(am, image_Attribute_group_Collapse_o);
  assets_manager_add(am, image_Attribute_group_Collapse_p);
  assets_manager_add(am, image_Attribute_group_expansion_d);
  assets_manager_add(am, image_Attribute_group_expansion_n);
  assets_manager_add(am, image_Attribute_group_expansion_o);
  assets_manager_add(am, image_Attribute_group_expansion_p);
  assets_manager_add(am, image_bg1);
  assets_manager_add(am, image_bg11);
  assets_manager_add(am, image_box_d);
  assets_manager_add(am, image_box_n);
  assets_manager_add(am, image_box_o);
  assets_manager_add(am, image_box_p);
  assets_manager_add(am, image_box_unfold_d);
  assets_manager_add(am, image_box_unfold_n);
  assets_manager_add(am, image_box_unfold_o);
  assets_manager_add(am, image_box_unfold_p);
  assets_manager_add(am, image_but_left);
  assets_manager_add(am, image_but_left_d);
  assets_manager_add(am, image_but_left_n);
  assets_manager_add(am, image_but_left_o);
  assets_manager_add(am, image_but_left_p);
  assets_manager_add(am, image_but_right);
  assets_manager_add(am, image_but_right_d);
  assets_manager_add(am, image_but_right_n);
  assets_manager_add(am, image_but_right_o);
  assets_manager_add(am, image_but_right_p);
  assets_manager_add(am, image_ch10_n);
  assets_manager_add(am, image_ch10_n1);
  assets_manager_add(am, image_ch10_passage);
  assets_manager_add(am, image_ch10_passage1);
  assets_manager_add(am, image_ch10_s);
  assets_manager_add(am, image_ch10_s1);
  assets_manager_add(am, image_ch11_n);
  assets_manager_add(am, image_ch11_n1);
  assets_manager_add(am, image_ch11_passage);
  assets_manager_add(am, image_ch11_passage1);
  assets_manager_add(am, image_ch11_s);
  assets_manager_add(am, image_ch11_s1);
  assets_manager_add(am, image_ch12_n);
  assets_manager_add(am, image_ch12_n1);
  assets_manager_add(am, image_ch12_passage);
  assets_manager_add(am, image_ch12_passage1);
  assets_manager_add(am, image_ch12_s);
  assets_manager_add(am, image_ch12_s1);
  assets_manager_add(am, image_ch13_n);
  assets_manager_add(am, image_ch13_n1);
  assets_manager_add(am, image_ch13_passage);
  assets_manager_add(am, image_ch13_passage1);
  assets_manager_add(am, image_ch13_s);
  assets_manager_add(am, image_ch13_s1);
  assets_manager_add(am, image_ch14_n);
  assets_manager_add(am, image_ch14_n1);
  assets_manager_add(am, image_ch14_passage);
  assets_manager_add(am, image_ch14_passage1);
  assets_manager_add(am, image_ch14_s);
  assets_manager_add(am, image_ch14_s1);
  assets_manager_add(am, image_ch15_n);
  assets_manager_add(am, image_ch15_n1);
  assets_manager_add(am, image_ch15_passage);
  assets_manager_add(am, image_ch15_passage1);
  assets_manager_add(am, image_ch15_s);
  assets_manager_add(am, image_ch15_s1);
  assets_manager_add(am, image_ch16_n);
  assets_manager_add(am, image_ch16_n1);
  assets_manager_add(am, image_ch16_passage);
  assets_manager_add(am, image_ch16_passage1);
  assets_manager_add(am, image_ch16_s);
  assets_manager_add(am, image_ch16_s1);
  assets_manager_add(am, image_ch17_n);
  assets_manager_add(am, image_ch17_n1);
  assets_manager_add(am, image_ch17_passage);
  assets_manager_add(am, image_ch17_passage1);
  assets_manager_add(am, image_ch17_s);
  assets_manager_add(am, image_ch17_s1);
  assets_manager_add(am, image_ch18_n);
  assets_manager_add(am, image_ch18_n1);
  assets_manager_add(am, image_ch18_passage);
  assets_manager_add(am, image_ch18_passage1);
  assets_manager_add(am, image_ch18_s);
  assets_manager_add(am, image_ch18_s1);
  assets_manager_add(am, image_ch19_n);
  assets_manager_add(am, image_ch19_n1);
  assets_manager_add(am, image_ch19_passage);
  assets_manager_add(am, image_ch19_passage1);
  assets_manager_add(am, image_ch19_s);
  assets_manager_add(am, image_ch19_s1);
  assets_manager_add(am, image_ch1_n);
  assets_manager_add(am, image_ch1_n1);
  assets_manager_add(am, image_ch1_passage);
  assets_manager_add(am, image_ch1_passage1);
  assets_manager_add(am, image_ch1_s);
  assets_manager_add(am, image_ch1_s1);
  assets_manager_add(am, image_ch20_n);
  assets_manager_add(am, image_ch20_n1);
  assets_manager_add(am, image_ch20_passage);
  assets_manager_add(am, image_ch20_passage1);
  assets_manager_add(am, image_ch20_s);
  assets_manager_add(am, image_ch20_s1);
  assets_manager_add(am, image_ch21_n);
  assets_manager_add(am, image_ch21_n1);
  assets_manager_add(am, image_ch21_passage);
  assets_manager_add(am, image_ch21_passage1);
  assets_manager_add(am, image_ch21_s);
  assets_manager_add(am, image_ch21_s1);
  assets_manager_add(am, image_ch22_n);
  assets_manager_add(am, image_ch22_n1);
  assets_manager_add(am, image_ch22_passage);
  assets_manager_add(am, image_ch22_passage1);
  assets_manager_add(am, image_ch22_s);
  assets_manager_add(am, image_ch22_s1);
  assets_manager_add(am, image_ch23_n);
  assets_manager_add(am, image_ch23_n1);
  assets_manager_add(am, image_ch23_passage);
  assets_manager_add(am, image_ch23_passage1);
  assets_manager_add(am, image_ch23_s);
  assets_manager_add(am, image_ch23_s1);
  assets_manager_add(am, image_ch24_n);
  assets_manager_add(am, image_ch24_n1);
  assets_manager_add(am, image_ch24_passage);
  assets_manager_add(am, image_ch24_passage1);
  assets_manager_add(am, image_ch24_s);
  assets_manager_add(am, image_ch24_s1);
  assets_manager_add(am, image_ch25_n);
  assets_manager_add(am, image_ch25_n1);
  assets_manager_add(am, image_ch25_passage);
  assets_manager_add(am, image_ch25_passage1);
  assets_manager_add(am, image_ch25_s);
  assets_manager_add(am, image_ch25_s1);
  assets_manager_add(am, image_ch26_n);
  assets_manager_add(am, image_ch26_n1);
  assets_manager_add(am, image_ch26_passage);
  assets_manager_add(am, image_ch26_passage1);
  assets_manager_add(am, image_ch26_s);
  assets_manager_add(am, image_ch26_s1);
  assets_manager_add(am, image_ch27_n);
  assets_manager_add(am, image_ch27_n1);
  assets_manager_add(am, image_ch27_passage);
  assets_manager_add(am, image_ch27_passage1);
  assets_manager_add(am, image_ch27_s);
  assets_manager_add(am, image_ch27_s1);
  assets_manager_add(am, image_ch28_n);
  assets_manager_add(am, image_ch28_n1);
  assets_manager_add(am, image_ch28_passage);
  assets_manager_add(am, image_ch28_passage1);
  assets_manager_add(am, image_ch28_s);
  assets_manager_add(am, image_ch28_s1);
  assets_manager_add(am, image_ch29_n);
  assets_manager_add(am, image_ch29_n1);
  assets_manager_add(am, image_ch29_passage);
  assets_manager_add(am, image_ch29_passage1);
  assets_manager_add(am, image_ch29_s);
  assets_manager_add(am, image_ch29_s1);
  assets_manager_add(am, image_ch2_n);
  assets_manager_add(am, image_ch2_n1);
  assets_manager_add(am, image_ch2_passage);
  assets_manager_add(am, image_ch2_passage1);
  assets_manager_add(am, image_ch2_s);
  assets_manager_add(am, image_ch2_s1);
  assets_manager_add(am, image_ch30_n);
  assets_manager_add(am, image_ch30_n1);
  assets_manager_add(am, image_ch30_passage);
  assets_manager_add(am, image_ch30_passage1);
  assets_manager_add(am, image_ch30_s);
  assets_manager_add(am, image_ch30_s1);
  assets_manager_add(am, image_ch31_n);
  assets_manager_add(am, image_ch31_n1);
  assets_manager_add(am, image_ch31_passage);
  assets_manager_add(am, image_ch31_passage1);
  assets_manager_add(am, image_ch31_s);
  assets_manager_add(am, image_ch31_s1);
  assets_manager_add(am, image_ch32_n);
  assets_manager_add(am, image_ch32_n1);
  assets_manager_add(am, image_ch32_passage);
  assets_manager_add(am, image_ch32_passage1);
  assets_manager_add(am, image_ch32_s);
  assets_manager_add(am, image_ch32_s1);
  assets_manager_add(am, image_ch3_n);
  assets_manager_add(am, image_ch3_n1);
  assets_manager_add(am, image_ch3_passage);
  assets_manager_add(am, image_ch3_passage1);
  assets_manager_add(am, image_ch3_s);
  assets_manager_add(am, image_ch3_s1);
  assets_manager_add(am, image_ch4_n);
  assets_manager_add(am, image_ch4_n1);
  assets_manager_add(am, image_ch4_passage);
  assets_manager_add(am, image_ch4_passage1);
  assets_manager_add(am, image_ch4_s);
  assets_manager_add(am, image_ch4_s1);
  assets_manager_add(am, image_ch5_n);
  assets_manager_add(am, image_ch5_n1);
  assets_manager_add(am, image_ch5_passage);
  assets_manager_add(am, image_ch5_passage1);
  assets_manager_add(am, image_ch5_s);
  assets_manager_add(am, image_ch5_s1);
  assets_manager_add(am, image_ch6_n);
  assets_manager_add(am, image_ch6_n1);
  assets_manager_add(am, image_ch6_passage);
  assets_manager_add(am, image_ch6_passage1);
  assets_manager_add(am, image_ch6_s);
  assets_manager_add(am, image_ch6_s1);
  assets_manager_add(am, image_ch7_n);
  assets_manager_add(am, image_ch7_n1);
  assets_manager_add(am, image_ch7_passage);
  assets_manager_add(am, image_ch7_passage1);
  assets_manager_add(am, image_ch7_s);
  assets_manager_add(am, image_ch7_s1);
  assets_manager_add(am, image_ch8_n);
  assets_manager_add(am, image_ch8_n1);
  assets_manager_add(am, image_ch8_passage);
  assets_manager_add(am, image_ch8_passage1);
  assets_manager_add(am, image_ch8_s);
  assets_manager_add(am, image_ch8_s1);
  assets_manager_add(am, image_ch9_n);
  assets_manager_add(am, image_ch9_n1);
  assets_manager_add(am, image_ch9_passage);
  assets_manager_add(am, image_ch9_passage1);
  assets_manager_add(am, image_ch9_s);
  assets_manager_add(am, image_ch9_s1);
  assets_manager_add(am, image_check_checked_d);
  assets_manager_add(am, image_check_checked_f);
  assets_manager_add(am, image_check_checked_n);
  assets_manager_add(am, image_check_checked_o);
  assets_manager_add(am, image_check_checked_p);
  assets_manager_add(am, image_check_d);
  assets_manager_add(am, image_check_f);
  assets_manager_add(am, image_check_n);
  assets_manager_add(am, image_check_o);
  assets_manager_add(am, image_check_p);
  assets_manager_add(am, image_clock_bg);
  assets_manager_add(am, image_clock_hour);
  assets_manager_add(am, image_clock_minute);
  assets_manager_add(am, image_clock_second);
  assets_manager_add(am, image_color_select);
  assets_manager_add(am, image_copy_o);
  assets_manager_add(am, image_copy_p);
  assets_manager_add(am, image_cross);
  assets_manager_add(am, image_debug);
  assets_manager_add(am, image_default_icon);
  assets_manager_add(am, image_Device_status_alarm_d);
  assets_manager_add(am, image_Device_status_alarm_n);
  assets_manager_add(am, image_Device_status_bluetooth_d);
  assets_manager_add(am, image_Device_status_bluetooth_n);
  assets_manager_add(am, image_Device_status_bluetooth_s);
  assets_manager_add(am, image_Device_status_can_d);
  assets_manager_add(am, image_Device_status_can_n);
  assets_manager_add(am, image_Device_status_Serial_port_d);
  assets_manager_add(am, image_Device_status_Serial_port_n);
  assets_manager_add(am, image_Device_status_Serial_port_s);
  assets_manager_add(am, image_Device_status_store_d);
  assets_manager_add(am, image_Device_status_store_n);
  assets_manager_add(am, image_Device_status_store_s);
  assets_manager_add(am, image_Device_status_wifi_d);
  assets_manager_add(am, image_Device_status_wifi_n);
  assets_manager_add(am, image_Device_status_wifi_s);
  assets_manager_add(am, image_dev_menu_bg);
  assets_manager_add(am, image_drag);
  assets_manager_add(am, image_drop_down_box_pack_up_d);
  assets_manager_add(am, image_drop_down_box_pack_up_n);
  assets_manager_add(am, image_drop_down_box_pack_up_o);
  assets_manager_add(am, image_drop_down_box_pack_up_p);
  assets_manager_add(am, image_drop_down_box_unfold_d);
  assets_manager_add(am, image_drop_down_box_unfold_n);
  assets_manager_add(am, image_drop_down_box_unfold_o);
  assets_manager_add(am, image_drop_down_box_unfold_p);
  assets_manager_add(am, image_Flow_icon);
  assets_manager_add(am, image_fresh_16);
  assets_manager_add(am, image_fresh_32);
  assets_manager_add(am, image_guage_bg);
  assets_manager_add(am, image_guage_pointer);
  assets_manager_add(am, image_hide_pwd);
  assets_manager_add(am, image_input_box_browse_d);
  assets_manager_add(am, image_input_box_browse_n);
  assets_manager_add(am, image_input_box_browse_o);
  assets_manager_add(am, image_input_box_browse_p);
  assets_manager_add(am, image_input_box_close_n);
  assets_manager_add(am, image_input_box_close_o);
  assets_manager_add(am, image_input_box_close_p);
  assets_manager_add(am, image_input_box_hide_d);
  assets_manager_add(am, image_input_box_hide_n);
  assets_manager_add(am, image_input_box_hide_o);
  assets_manager_add(am, image_input_box_hide_p);
  assets_manager_add(am, image_input_box_Number_add2_d);
  assets_manager_add(am, image_input_box_Number_add2_n);
  assets_manager_add(am, image_input_box_Number_add2_o);
  assets_manager_add(am, image_input_box_Number_add2_p);
  assets_manager_add(am, image_input_box_Number_add_d);
  assets_manager_add(am, image_input_box_Number_add_n);
  assets_manager_add(am, image_input_box_Number_add_o);
  assets_manager_add(am, image_input_box_Number_add_p);
  assets_manager_add(am, image_input_box_Number_Less2_d);
  assets_manager_add(am, image_input_box_Number_Less2_n);
  assets_manager_add(am, image_input_box_Number_Less2_o);
  assets_manager_add(am, image_input_box_Number_Less2_p);
  assets_manager_add(am, image_input_box_Number_Less_d);
  assets_manager_add(am, image_input_box_Number_Less_n);
  assets_manager_add(am, image_input_box_Number_Less_o);
  assets_manager_add(am, image_input_box_Number_Less_p);
  assets_manager_add(am, image_input_box_path_d);
  assets_manager_add(am, image_input_box_path_n);
  assets_manager_add(am, image_input_box_path_o);
  assets_manager_add(am, image_input_box_path_p);
  assets_manager_add(am, image_input_box_search_d);
  assets_manager_add(am, image_input_box_search_n);
  assets_manager_add(am, image_input_box_search_o);
  assets_manager_add(am, image_input_box_search_p);
  assets_manager_add(am, image_list_add_d);
  assets_manager_add(am, image_list_add_n);
  assets_manager_add(am, image_list_add_o);
  assets_manager_add(am, image_list_add_p);
  assets_manager_add(am, image_list_close_n);
  assets_manager_add(am, image_list_close_o);
  assets_manager_add(am, image_list_close_p);
  assets_manager_add(am, image_list_del_d);
  assets_manager_add(am, image_list_del_n);
  assets_manager_add(am, image_list_del_o);
  assets_manager_add(am, image_list_del_p);
  assets_manager_add(am, image_loading);
  assets_manager_add(am, image_loading_bg);
  assets_manager_add(am, image_loading_F5F5F5_);
  assets_manager_add(am, image_loading_ffffff_);
  assets_manager_add(am, image_magnify);
  assets_manager_add(am, image_magnify_p);
  assets_manager_add(am, image_Menu_language_n);
  assets_manager_add(am, image_Menu_language_o);
  assets_manager_add(am, image_Menu_language_p);
  assets_manager_add(am, image_Menu_pack_up_n);
  assets_manager_add(am, image_Menu_pack_up_o);
  assets_manager_add(am, image_Menu_pack_up_p);
  assets_manager_add(am, image_Menu_unfold_n);
  assets_manager_add(am, image_Menu_unfold_o);
  assets_manager_add(am, image_Menu_unfold_p);
  assets_manager_add(am, image_Not_yet_started);
  assets_manager_add(am, image_num0);
  assets_manager_add(am, image_num1);
  assets_manager_add(am, image_num2);
  assets_manager_add(am, image_num3);
  assets_manager_add(am, image_num4);
  assets_manager_add(am, image_num5);
  assets_manager_add(am, image_num6);
  assets_manager_add(am, image_num7);
  assets_manager_add(am, image_num8);
  assets_manager_add(am, image_num9);
  assets_manager_add(am, image_numdot);
  assets_manager_add(am, image_radio_checked_d);
  assets_manager_add(am, image_radio_checked_f);
  assets_manager_add(am, image_radio_checked_n);
  assets_manager_add(am, image_radio_checked_o);
  assets_manager_add(am, image_radio_checked_p);
  assets_manager_add(am, image_radio_d);
  assets_manager_add(am, image_radio_f);
  assets_manager_add(am, image_radio_n);
  assets_manager_add(am, image_radio_o);
  assets_manager_add(am, image_radio_p);
  assets_manager_add(am, image_refresh_d);
  assets_manager_add(am, image_refresh_n);
  assets_manager_add(am, image_refresh_o);
  assets_manager_add(am, image_refresh_p);
  assets_manager_add(am, image_restore);
  assets_manager_add(am, image_restore_p);
  assets_manager_add(am, image_right_click_check_d);
  assets_manager_add(am, image_right_click_check_n);
  assets_manager_add(am, image_right_click_check_n2);
  assets_manager_add(am, image_right_click_check_s);
  assets_manager_add(am, image_right_click_del_d);
  assets_manager_add(am, image_right_click_del_n);
  assets_manager_add(am, image_right_click_del_n_Serial_port_d);
  assets_manager_add(am, image_right_click_del_n_Serial_port_n);
  assets_manager_add(am, image_right_click_del_n_Serial_port_o);
  assets_manager_add(am, image_right_click_del_o);
  assets_manager_add(am, image_right_click_del_s);
  assets_manager_add(am, image_right_click_del_s1);
  assets_manager_add(am, image_right_click_more_d);
  assets_manager_add(am, image_right_click_more_n);
  assets_manager_add(am, image_right_click_more_s);
  assets_manager_add(am, image_right_click_move_d);
  assets_manager_add(am, image_right_click_move_n);
  assets_manager_add(am, image_right_click_move_o);
  assets_manager_add(am, image_right_click_move_s);
  assets_manager_add(am, image_right_click_net_interface_d);
  assets_manager_add(am, image_right_click_net_interface_n);
  assets_manager_add(am, image_right_click_net_interface_o);
  assets_manager_add(am, image_right_click_warn_d);
  assets_manager_add(am, image_right_click_warn_n);
  assets_manager_add(am, image_right_click_warn_o);
  assets_manager_add(am, image_rounded_n);
  assets_manager_add(am, image_rounded_o);
  assets_manager_add(am, image_rounded_p);
  assets_manager_add(am, image_Scheduled_task);
  assets_manager_add(am, image_search_dev);
  assets_manager_add(am, image_search_dev_ui);
  assets_manager_add(am, image_select);
  assets_manager_add(am, image_show_pwd);
  assets_manager_add(am, image_shrink);
  assets_manager_add(am, image_shrink_p);
  assets_manager_add(am, image_sidebar_Extend_d);
  assets_manager_add(am, image_sidebar_Extend_n);
  assets_manager_add(am, image_sidebar_Extend_o);
  assets_manager_add(am, image_sidebar_Extend_p);
  assets_manager_add(am, image_sidebar_search_d);
  assets_manager_add(am, image_sidebar_search_n);
  assets_manager_add(am, image_sidebar_search_o);
  assets_manager_add(am, image_sidebar_search_p);
  assets_manager_add(am, image_sidebar_Stow_d);
  assets_manager_add(am, image_sidebar_Stow_n);
  assets_manager_add(am, image_sidebar_Stow_o);
  assets_manager_add(am, image_sidebar_Stow_p);
  assets_manager_add(am, image_slider_bg);
  assets_manager_add(am, image_slider_fg);
  assets_manager_add(am, image_succeed);
  assets_manager_add(am, image_tab_calibrate_n);
  assets_manager_add(am, image_tab_calibrate_s);
  assets_manager_add(am, image_tab_icon01_d);
  assets_manager_add(am, image_tab_icon01_n);
  assets_manager_add(am, image_tab_icon01_s);
  assets_manager_add(am, image_tab_icon02_d);
  assets_manager_add(am, image_tab_icon02_n);
  assets_manager_add(am, image_tab_icon02_s);
  assets_manager_add(am, image_tab_icon03_n);
  assets_manager_add(am, image_tab_icon03_s);
  assets_manager_add(am, image_tab_icon04_n);
  assets_manager_add(am, image_tab_icon04_s);
  assets_manager_add(am, image_tab_icon05_n);
  assets_manager_add(am, image_tab_icon05_s);
  assets_manager_add(am, image_tab_icon06_n);
  assets_manager_add(am, image_tab_icon06_s);
  assets_manager_add(am, image_tab_icon07_n);
  assets_manager_add(am, image_tab_icon07_s);
  assets_manager_add(am, image_tab_icon08_n);
  assets_manager_add(am, image_tab_icon08_s);
  assets_manager_add(am, image_tab_icon09_n);
  assets_manager_add(am, image_tab_icon09_s);
  assets_manager_add(am, image_tab_icon10_n);
  assets_manager_add(am, image_tab_icon10_s);
  assets_manager_add(am, image_tab_icon11_n);
  assets_manager_add(am, image_tab_icon11_s);
  assets_manager_add(am, image_tab_icon12_n);
  assets_manager_add(am, image_tab_icon12_s);
  assets_manager_add(am, image_tab_timing_n);
  assets_manager_add(am, image_tab_timing_s);
  assets_manager_add(am, image_tab_warn_d);
  assets_manager_add(am, image_tab_warn_n);
  assets_manager_add(am, image_tab_warn_s);
  assets_manager_add(am, image_test);
  assets_manager_add(am, image_text_cn_temp);
  assets_manager_add(am, image_tool_Added_waveform_24_d);
  assets_manager_add(am, image_tool_Added_waveform_24_n);
  assets_manager_add(am, image_tool_Added_waveform_24_o);
  assets_manager_add(am, image_tool_add_16_d);
  assets_manager_add(am, image_tool_add_16_n);
  assets_manager_add(am, image_tool_add_16_o);
  assets_manager_add(am, image_tool_add_16_p);
  assets_manager_add(am, image_tool_add_device_32_d);
  assets_manager_add(am, image_tool_add_device_32_n);
  assets_manager_add(am, image_tool_alarm_information_32_d);
  assets_manager_add(am, image_tool_alarm_information_32_n);
  assets_manager_add(am, image_tool_alarm_setting_32_d);
  assets_manager_add(am, image_tool_alarm_setting_32_n);
  assets_manager_add(am, image_tool_as_regards_32_d);
  assets_manager_add(am, image_tool_as_regards_32_n);
  assets_manager_add(am, image_tool_batch_upgrade_32_d);
  assets_manager_add(am, image_tool_batch_upgrade_32_n);
  assets_manager_add(am, image_tool_calibration_setting_32_d);
  assets_manager_add(am, image_tool_calibration_setting_32_n);
  assets_manager_add(am, image_tool_Channel_setup_24_d);
  assets_manager_add(am, image_tool_Channel_setup_24_n);
  assets_manager_add(am, image_tool_Channel_setup_24_o);
  assets_manager_add(am, image_tool_company_homepage_32_d);
  assets_manager_add(am, image_tool_company_homepage_32_n);
  assets_manager_add(am, image_tool_data_analysis_32_d);
  assets_manager_add(am, image_tool_data_analysis_32_n);
  assets_manager_add(am, image_tool_data_screening_32_d);
  assets_manager_add(am, image_tool_data_screening_32_n);
  assets_manager_add(am, image_tool_device_information_32_d);
  assets_manager_add(am, image_tool_device_information_32_n);
  assets_manager_add(am, image_tool_edit_16_d);
  assets_manager_add(am, image_tool_edit_16_n);
  assets_manager_add(am, image_tool_edit_16_o);
  assets_manager_add(am, image_tool_edit_16_p);
  assets_manager_add(am, image_tool_equipment_calibration_32_d);
  assets_manager_add(am, image_tool_equipment_calibration_32_n);
  assets_manager_add(am, image_tool_equipment_configuration_32_d);
  assets_manager_add(am, image_tool_equipment_configuration_32_n);
  assets_manager_add(am, image_tool_firmware_upgrade_32_d);
  assets_manager_add(am, image_tool_firmware_upgrade_32_n);
  assets_manager_add(am, image_tool_generate_report_32_d);
  assets_manager_add(am, image_tool_generate_report_32_n);
  assets_manager_add(am, image_tool_Import_24_d);
  assets_manager_add(am, image_tool_Import_24_n);
  assets_manager_add(am, image_tool_Import_24_o);
  assets_manager_add(am, image_tool_packet_loss_test_32_d);
  assets_manager_add(am, image_tool_packet_loss_test_32_n);
  assets_manager_add(am, image_tool_permission_statement_32_d);
  assets_manager_add(am, image_tool_permission_statement_32_n);
  assets_manager_add(am, image_tool_screen_16_d);
  assets_manager_add(am, image_tool_screen_16_n);
  assets_manager_add(am, image_tool_screen_16_o);
  assets_manager_add(am, image_tool_screen_16_p);
  assets_manager_add(am, image_tool_search_device_32_d);
  assets_manager_add(am, image_tool_search_device_32_n);
  assets_manager_add(am, image_tool_start_collection_32_d);
  assets_manager_add(am, image_tool_start_collection_32_n);
  assets_manager_add(am, image_tool_status_refresh_32_d);
  assets_manager_add(am, image_tool_status_refresh_32_n);
  assets_manager_add(am, image_tool_stop_collection_32_d);
  assets_manager_add(am, image_tool_stop_collection_32_n);
  assets_manager_add(am, image_tool_timing_test_32_d);
  assets_manager_add(am, image_tool_timing_test_32_n);
  assets_manager_add(am, image_tool_user_manual_32_d);
  assets_manager_add(am, image_tool_user_manual_32_n);
  assets_manager_add(am, image_tool_Waveform_horizontal_reduction_24_d);
  assets_manager_add(am, image_tool_Waveform_horizontal_reduction_24_n);
  assets_manager_add(am, image_tool_Waveform_horizontal_reduction_24_o);
  assets_manager_add(am, image_tool_Waveform_horizontal_zoom_24_d);
  assets_manager_add(am, image_tool_Waveform_horizontal_zoom_24_n);
  assets_manager_add(am, image_tool_Waveform_horizontal_zoom_24_o);
  assets_manager_add(am, image_tool_Waveform_vertical_reduction_24_d);
  assets_manager_add(am, image_tool_Waveform_vertical_reduction_24_n);
  assets_manager_add(am, image_tool_Waveform_vertical_reduction_24_o);
  assets_manager_add(am, image_tool_Waveform_vertical_zoom_24_d);
  assets_manager_add(am, image_tool_Waveform_vertical_zoom_24_n);
  assets_manager_add(am, image_tool_Waveform_vertical_zoom_24_o);
  assets_manager_add(am, image_Under_way);
  assets_manager_add(am, image_wifi_bg);
  assets_manager_add(am, image_window_close_n);
  assets_manager_add(am, image_window_close_o);
  assets_manager_add(am, image_window_full_screen_d);
  assets_manager_add(am, image_window_full_screen_n);
  assets_manager_add(am, image_window_full_screen_o);
  assets_manager_add(am, image_window_maximum_n);
  assets_manager_add(am, image_window_maximum_o);
  assets_manager_add(am, image_window_minimize_n);
  assets_manager_add(am, image_window_minimize_o);
  assets_manager_add(am, image_window_reduction_n);
  assets_manager_add(am, image_window_reduction_o);
  assets_manager_add(am, image_ZAD_2018);
  assets_manager_add(am, image_zlg_logo);
  assets_manager_add(am, image__);
  assets_manager_add(am, image__1);
  assets_manager_add(am, image___o);
#ifdef WITH_VGCANVAS
#endif /*WITH_VGCANVAS*/
#ifdef WITH_TRUETYPE_FONT
  assets_manager_add(am, font_default);
  assets_manager_add(am, font_HarmonyOS_Sans_SC_Regular);
#else /*WITH_TRUETYPE_FONT*/
#endif /*WITH_TRUETYPE_FONT*/
#endif

  tk_init_assets();
  return RET_OK;
}
